## org.undp.weblog.ui
Class WebLogsListTableModel

    java.lang.Object
      org.undp.weblog.ui.WebLogsListTableModel

All Implemented Interfaces:
  com.arsdigita.bebop.table.TableModel, WebLogConstants

public class WebLogsListTableModel
extends Object
implements com.arsdigita.bebop.table.TableModel, WebLogConstants

Author:
  Peter Kopunec

Field Summary

Fields inherited from interface com.arsdigita.bebop.table.TableModel
`versionId`

Fields inherited from interface org.undp.weblog.WebLogConstants
`dateTimeFormat, PARAM_WEBLOG_DETAIL_ID`

Constructor Summary
`WebLogsListTableModel(WebLogApplication application, int columnCount)`

Method Summary
`int` `getColumnCount()`
`Object` `getElementAt(int columnIndex)`
`Object` `getKeyAt(int columnIndex)`
`boolean` `nextRow()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebLogsListTableModel

    public WebLogsListTableModel(WebLogApplication application,
                                 int columnCount)

Method Detail

### getColumnCount

    public int getColumnCount()

  Specified by:
    `getColumnCount` in interface `com.arsdigita.bebop.table.TableModel`

### getElementAt

    public Object getElementAt(int columnIndex)

  Specified by:
    `getElementAt` in interface `com.arsdigita.bebop.table.TableModel`

### nextRow

    public boolean nextRow()

  Specified by:
    `nextRow` in interface `com.arsdigita.bebop.table.TableModel`

### getKeyAt

    public Object getKeyAt(int columnIndex)

  Specified by:
    `getKeyAt` in interface `com.arsdigita.bebop.table.TableModel`

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1153 UTC